Email::Sender::Failure::Multi(3pm)

NAME
Email::Sender::Failure::Multi - an aggregate of multiple failures

VERSION
version 2.500

DESCRIPTION
A multiple failure report is raised when more than one failure is encountered when sending a single message, or when mixed states were encountered.

PERL VERSION
This library should run on perls released even a long time ago. It should work on any version of perl released in the last five years.

Although it may work on older versions of perl, no guarantee is made that the minimum required version will not be increased. The version may be increased for any reason, and there is no promise that patches will be accepted to lower the minimum required perl.

ATTRIBUTES

  failures
This method returns a list of other Email::Sender::Failure objects represented by this multi.

METHODS

  isa
A multiple failure will report that it is a Permanent or Temporary if all of its contained failures are failures of that type.

AUTHOR
Ricardo Signes <rjbs@semiotic.systems>

COPYRIGHT AND LICENSE
This software is copyright (c) 2021 by Ricardo Signes.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.